import * as $dara from '@darabonba/typescript';
import { BindAuthToMachineResponseBody } from "./BindAuthToMachineResponseBody";
export declare class BindAuthToMachineResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: BindAuthToMachineResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
